curl --request GET \
--url https://api.mn.co/admin/v1/networks/{network_id}/plans/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/plans/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/plans/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1234",
"created_at": "2026-09-27T20:54:54+00:00",
"updated_at": "2026-09-27T20:54:54+00:00",
"name": "<string>",
"permalink": "<string>",
"description": "<string>",
"status": "<string>",
"pricing_type": "<string>",
"visible_to_members": true,
"external": true,
"multiple": true
}{
"error": "<string>"
}Return a single plan by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the plan to retrieve
The Network's unique integer ID, or subdomain Unique numeric network ID
Response
A plan object
A plan represents a purchasable offering in your Network
The record's integer ID
"1234"
The date and time the record was created
"2026-09-27T20:54:54+00:00"
The date and time the record was last modified
"2026-09-27T20:54:54+00:00"
The plan's name
Canonical URL to the plan's about page
The plan's description
The plan's status (visible, hidden, pending, rejected, archived, legacy)
The pricing type (free, subscription, one_time, installment, one_time_installment, token_gated, nonpaid)
Whether the plan is visible to members
Whether the plan includes Network membership
Whether the plan includes multiple spaces